Subject: RE: Radio Access Network Protocols (was: Re: [seamoby] IRTF mm pr oblem statement)

From: "Gary Kenward" <[email-masked]>
Date: Thu, 3 May 2001 12:26:06 -0400

> -----Original Message-----
> From: James Kempf [mailto:[email-masked]]
> Sent: Tuesday, May 01, 2001 5:31 PM
> To: [email-masked]; [email-masked]; [email-masked];
> [email-masked]
> Subject: Radio Access Network Protocols (was: Re: [seamoby] IRTF mm
> problem statement)
> 
> 
> IETF has resisted doing wireless specific protocols in the past. The
> CRAPS BOF explicitly rejected doing that kind of work, though perhaps
> there has been a change of heart. I expect, however, that there
> will be the same kind of resistance in the future.

James:

  I don't know how you can say the BOF accepted or rejected anything. They
never were allowed to hold a vote!.

> 
> There has been some ongoing work in MWIF (Mobile Wireless Internet
> Forum, http://www.mwif.org) on a radio access network 
> architecture, called 
> OpenRAN, that is independent of radio link protocol, along the lines
> suggested by Arthur and PhilN. The architecture is
> complete, we are about to release the report, and we are planning
> some conference presentations and journal articles to familiarize
> the wireless community with the architecture in the near future.
> We have already taken this work to the 3Gs, there is some interest
> in 3GPP2 though also a certain amount of resistence, but 3GPP has
> essentially rejected it as too experimental.
> 
> The next step for the OpenRAN architecture is to do some protocol
> development work, and MWIF is currently debating whether to do
> this or not. If it does, you can be sure the OBAST work will be
> important input. The objective of the protocol development work
> would be to develop a RAN protocol independent of radio link protocol
> and have vendors implement prototypes for interoperability testing
> (the other aspect of this is interoperable radio network management,
> which turns out to be the single largest barrier to open systems
> in UTRAN, and it is also being investigated by MWIF). Once 
> the protocol
> is complete, it would be taken to IETF and the 3Gs for consideration.

Sounds like an IRTF activity to me.

Gary

> By virtue of it being radio link independent, one could view it
> as not L2 specific, though it is wireless specific, so perhaps
> IETF would be more interested in it. If MWIF declines to continue
> working on the protocol, some mild interest has been expressed by
> a few vendors to continue working on it in another forum.
> 
> Most of the people involved in the OpenRAN effort believe that
> MWIF is the right place to do the technical work for now (similar
> to how the Multivendor Switching Forum developed their protocol
> first, before bringing it to IETF), then bringing it to IETF
> later, if appropriate. So if any radio knowledgable types are 
> interested, I'd 
> encourage you to become involved.
> 
> 		jak
> 
> 
> 
> 
> >Delivered-To: [email-masked]
> >X-Sent: 1 May 2001 20:17:04 GMT
> >From: "Phil Neumiller" <[email-masked]>
> >To: "Phil Roberts" <[email-masked]>, "'Arthur Ross'" 
> <[email-masked]>, 
> <[email-masked]>
> >Subject: Re: [seamoby] IRTF mm problem statement
> >Date: Tue, 1 May 2001 15:05:03 -0500
> >X-Priority: 3
> >X-MSMail-Priority: Normal
> >X-MimeOLE: Produced By Microsoft MimeOLE V5.50.4133.2400
> >
> >Hi Phil R./Arthur,
> >
> >> One might think that a good chunk of this problem can be 
> abstracted without
> >> any awareness of radio link characteristics.  The point of 
> this particular
> >> piece of research has to do with updating reachability 
> awareness and
> >> forwarding tables within the routers the mobile attaches 
> to rather than how
> >> to figure out which points the mobiles can reach and how 
> well they can reach
> >> it.
> >
> >I see this is where the disconnect is Phil R.  We HAD gone 
> much further in
> >SeaMoby of our discussions of micro-mobility than your 
> current list of drafts.
> >We entertained issues related to the mobile and its view of 
> the network.
> >Also, most people were familiar with the OBAST paper which describes
> >a method for macro/micro/local mobility where the air 
> interfaces properties
> >of CDMA are socketed as Arthur has described (mainly because 
> I recited
> >enough times on the list) [even in the CRAPS BOF I had to make this
> >argument]{See thwap thread a while back on SeaMoby list}.
> >
> >>
> >> It would be hard also to make too many assumptions about 
> what that radio
> >> system could be.  You include that the architecture should 
> have a provision
> >> for a diversity combiner but surely there are networks 
> over which something
> >> like this would run on which there is no diversity combiner?
> >
> >Also, Phil R., I had discussed many times on the SeaMoby 
> list that diversity
> >combining is not just for CDMA.  When done over IP, other 
> radios, even
> >TDMA radios can take advantage of it in the outer-loop 
> sense.  I have several
> >patents pending on how to do this with TDMA, and frequency 
> hop radios,
> >not just DSSS.  Of course those are Motorola's and don't do 
> us much good
> >here in the IETF unless some other folks can come up with some stuff
> >independently. :-)
> >
> >> I wasn't privy
> >> to all the discussions in the fast handover design teams 
> in MIP but there
> >> was at least some effort put in to thinking about what 
> happens when this is
> >> running over a fairly lossy medium.  Whether or not a 
> ping-pong effect
> >> should be handled in these protocols was also discussed and highly
> >> controversial.
> >
> >Again we discussed this in the SeaMoby list and CRAPS list and OBAST
> >list numerous times.  The TADD/TDROP timers as used in CDMA can
> >work for any RF interface to reduce ping-pong if done in a 
> borrowed and
> >abstract way over IP.
> >
> >> Both of those can be characteristics of wireless systems
> >> with multiple access points, and both may be quite 
> independent of whether it
> >> is a TDMA or CDMA or whatever system running at 800MHz, 1800MHz, or
> >> whatever.
> >
> >In this sense I agree with you, but only so far as it can be 
> done in a common 
> way.
> >Macro-diversity selection can be done with almost any radio 
> type, and OBAST
> >it is an option.  OBAST allows optionalk make-before-break 
> with any radio type.
> >OBAST allows simultaneous and different link layers to be 
> active if they want 
> to
> >use it.
> >>
> >> There has been reluctance so far to design within the IETF a radio
> >> technology specific subsystem.  I personally am not 
> willing to push for
> >> that.  Perhaps you can get a discussion going on in the 
> new wireless
> >> interest list Phil N set up to organize an effort to 
> promote such.  It seems
> >> that productive work along the path already specified in 
> the document can go
> >> on and the possibilities for exploring ratholes by adding in radio
> >> technology specific issues might be plentiful.
> >
> >We don't need to explore a rathole here.  What we need to do 
> is ask ourselves
> >what things can be made common for all RF L2s and be put 
> over IP? This
> >is the IMPORTANT question to ask yourself.  Really!  Of 
> course I sound like
> >a broken record, but I think (I hope, Pat and James and Gary 
> and many others) 
> are
> >starting to think about this and understand it.  Perhaps not 
> in the same with
> >the same zeal that I express. :-)  I am pretty confident 
> that Arthur is on the
> >right track.  His arguments about radio physics can be 
> hidden with an OO
> >like abstraction of putting macro-diversity over IP.  That 
> is the big first 
> step
> >to consider.
> >
> >I will show deference to the draft author and chair.  If you 
> want this 
> conversation
> >moved over to the new list that is fine I will try and 
> summarize it and move
> >it over.
> >
> >Thanks,
> >
> >Phil N.
> >
> >
> 
>

---

From: James Kempf <[email-masked]>
Date: Thu, 3 May 2001 09:39:08 -0700 (PDT)

Hi Gary,

>never were allowed to hold a vote!.

Sure, but there was no charter approved, most of the speakers were
opposed to the work. There was no concensus.

>Sounds like an IRTF activity to me.

It turns out that the MWIF Board has approved work on an OpenRAN
protocol, so the work will go forward in MWIF, *provided* we can
get support from radio vendors. Times are hard, so I don't know
how forthcoming it will be, but we need radio vendors support
to make this happen. If we are lucky and get support, I think many
of the good, creative ideas (and hopefully none of the bad ones :-) 
on OBAST, CRAPS, and others that are wireless specific will get incorporated 
into the MWIF protocol.

I hope to see this develop somewhat like the work done by the
Multivendor Switching Forum, in which they developed a protocol
and did interoperability testing, then brought it to the IETF
and now there is a working group at IETF standardizing with
their protocol as a base.

		jak

---

From: "Gary Kenward" <[email-masked]>
Date: Fri, 4 May 2001 10:20:25 -0400

Well James, we have different perceptions of what happened.
I heard many people who were opposed to work being done in 
areas that were not even part of the proposed charter.

My perception is that a number of people took the opportunity to
pontificate on favourite issues, and ignored what the organizers 
were trying to accomplish. In psychological terms, it's called "already 
listening" - some people had their minds made up about what it was
all about before the meeting happened and didn't bother hearing 
what was being discussed. Some might call it knee jerking.

A cacophony from the audience does not constitute a consensus, particularly
when there was so much obvious misunderstanding.

Enough on the past. I think the fact that many of the wireless issues 
discussed in that BOF have not gone away, and indeed some of them
have turned into MIP work items, new working groups, possibly even
a new work area, is a good indication that CRAPS BOF was headed
into the right direction.

Anyone, it's history. Bottom line: there was no vote, and no consensus
was reached. 
Gary

> Sent: Thursday, May 03, 2001 12:39 PM
> To: [email-masked]; Kenward, Gary [WDLN2:AN10:EXCH]
> Subject: RE: Radio Access Network Protocols (was: Re: 
> [seamoby] IRTF mm
> pr oblem statement)
> 
> 
> Hi Gary,
>